import { TranslateService } from "@ngx-translate/core";
import { FormField } from "@seniorsistemas/angular-components";
import { Observable } from "rxjs";
import { LookupServiceConfig } from "../../core/dto/lookup-service-config";
import { ThirdPartyFpasService } from "../../core/entities/third-party-fpas/third-party-fpas.service";
import { EntityLookupConfigService } from "../../shared/services/entity-lookup-config.service";
export declare class ThirdPartyFpasLookupService {
    private translate;
    private configService;
    private thirdPartyFpasService;
    constructor(translate: TranslateService, configService: EntityLookupConfigService, thirdPartyFpasService: ThirdPartyFpasService);
    lookupServiceConfig: LookupServiceConfig;
    private ngUnsubscribe;
    updateSuggestions(value: any): void;
    getSuggestionValue(displayFields: string[], ownerEntity: string, value: any, separator: string): any;
    getFormField(): FormField;
    onThirdPartyFpasSearchRequest(event: any): void;
    onThirdPartyFpasSearchRequestObservable(event: any, additionalFilter: string, companyIds: string[], isDynamicForm?: boolean): Observable<any>;
    private getFiltersDefaultThirdPartyFpas;
    private mapToComponent;
    private getLabelForMaping;
    onThirdPartyFpasLookupRequest(value: string): void;
    onThirdPartyFpasLookupRequestObservable(value: string, additionalFilter: string, companyIds: string[]): Observable<any>;
    getThirdPartyFpasSearchFields(): FormField[];
}
